/* animations_3.css */
#overlay-backdrop {
  display: none; /* começa escondido */
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5); /* leve escurecimento */
  z-index: 9999; /* abaixo do seu .main_scenario */
  transition: opacity 0.6s ease;
  opacity: 0;
}

#overlay-backdrop.active {
  display: block;
  opacity: 1;
}

.main_scenario {
  opacity: 0;
  transition: opacity 0.5s ease;
}

.main_scenario.show {
  opacity: 1;
}

.scenario_bg {
  opacity: 0;
  transition: opacity 0.5s ease;
}
.main_scenario.show .scenario_bg {
  opacity: 1;
}

    /* Container Principal com dimensão fixa e perspectiva para transformações 3D (se necessário) */
    .main_scenario {
      top: 33%;
      left: 33%;
      /*border: 1px solid red;*/
      position: absolute;
      width: 490px;
      height: 310px;
      /*background: #fff;*/
      /* Pode servir caso futuramente você queira efeitos 3D */
      perspective: 1000px;
      z-index: 99999;
      position: fixed;
    }
    /* O produto e a logo serão centralizados dentro do container */
    .product {
      position: absolute;
      top: -10px;
      left: 20%;
      transform: translate(-50%, -50%) scale(0);
      /*opacity: 0;*/
      transform-style: preserve-3d;
      z-index: 1000000;
    }
    .client_logo {
      position: absolute;
      top: 0;
      left: 20%;
      transform: translate(-50%, -50%) scale(0);
      opacity: 0;
      transform-style: preserve-3d;
    }

    .call_action {
      position: absolute;
      top: -10px;
      left: 20%;
      transform: translate(-50%, -50%) scale(0);
      /*opacity: 0;*/
      transform-style: preserve-3d;
      z-index: 1000000;
    }


    /* Exemplo: para o produto, formatamos de forma que a imagem encaixe bem */
    .product img,
    .client_logo img,
    .call_action img {
      display: block;
      max-width: 100%;
    }